Bug 184154 - kernel conflicts with udev < 071-0.FC4.2 (while updating from kernel 1831)
kernel conflicts with udev < 071-0.FC4.2 (while updating from kernel 1831)
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: udev (Show other bugs)
4
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-06 16:55 EST by Jim Scotti
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-08 06:23:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jim Scotti 2006-03-06 16:55:24 EST
I have a very similar bug with with slight differences.  I was doing a
relatively fresh yum update of my newly installed FC4 x86_64 system when I get
the following at the end of a list of updates and so on:

=======
...
---> Package tetex-xdvi.x86_64 0:3.0-9.FC4 set to be updated
---> Package kernel-smp.x86_64 0:2.6.15-1.1833_FC4 set to be installed
---> Package pvm.x86_64 0:3.4.5-5_FC4 set to be updated
---> Package openssh-askpass-gnome.x86_64 0:4.2p1-fc4.10 set to be updated
---> Package yelp.x86_64 0:2.10.0-1.4.2 set to be updated
---> Package libungif.x86_64 0:4.1.3-3.fc4.2 set to be updated
--> Running transaction check
--> Processing Conflict: kernel conflicts udev < 071-0.FC4.2
--> Processing Conflict: kernel-smp conflicts udev < 071-0.FC4.2
--> Finished Dependency Resolution
Error: kernel conflicts with udev < 071-0.FC4.2
Error: kernel-smp conflicts with udev < 071-0.FC4.2

=======

I cannot run a general update on the distro at this point.

Jim.


+++ This bug was initially created as a clone of Bug #184150 +++

Description of problem:
Type as root: yum -y update

Version-Release number of selected component (if applicable):
Updating kernel 1831 to 1833

How reproducible:
Yes. Completly reproducible.

Steps to Reproduce:
1. Type as root: yum -y update
  
Actual results:

Resolving Dependencies
--> Populating transaction set with selected packages. Please wait.
---> Package kernel.x86_64 0:2.6.15-1.1833_FC4 set to be installed
---> Package pam_krb5.x86_64 0:2.1.15-2 set to be updated
---> Package kernel-devel.x86_64 0:2.6.15-1.1833_FC4 set to be installed
---> Downloading header for shadow-utils to pack into transaction set.
shadow-utils-4.0.12-7.FC4 100% |=========================|    0 B    00:15
shadow-utils-4.0.12-7.FC4 100% |=========================|  38 kB    00:00
---> Package shadow-utils.x86_64 2:4.0.12-7.FC4 set to be updated
--> Running transaction check
--> Processing Conflict: kernel conflicts udev < 071-0.FC4.2
--> Finished Dependency Resolution
Error: kernel conflicts with udev < 071-0.FC4.2

Expected results:
Of course an update without conflicts

Additional info:
Comment 1 Harald Hoyer 2006-03-07 01:08:32 EST
You have to update udev to udev-071-0.FC4.2 ... should be on your mirror!
Comment 2 Jim Scotti 2006-03-07 16:10:17 EST
I already have udev-071-0.FC4.3 installed as this yum list indicates:

============
% yum list udev
Setting up repositories
Reading repository metadata in from local files
Installed Packages
udev.x86_64                              058-1                  installed
udev.x86_64                              071-0.FC4.3            installed
=============

Is 058-1 also installed and how do I uninstall it if it is causing my trouble?

Thanks!

Jim.(In reply to comment #1)
> You have to update udev to udev-071-0.FC4.2 ... should be on your mirror!

Comment 3 Harald Hoyer 2006-03-08 06:23:00 EST
you should not have both installed!!!!
# rpm -e udev-071-0.FC4.3
# yum update udev

Note You need to log in before you can comment on or make changes to this bug.